Resource Center/Network Service/Network Service Operations/Load Balancing Operations
DELETELoad Balancing OperationsSince 3.9.0SynchronousAuth Required
RemoveAccessControlListFromLoadBalancer
RemoveAccessControlListFromLoadBalancer
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
listenerUuidStringRequiredThe listener UUID.
Body Fields
aclUuidsListRequiredThe UUID of the access control list.
serverGroupUuidsListOptional. The UUID of the load balancer server group.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/zstack/v1/load-balancers/listeners/{listenerUuid}/access-control-lists
/zstack/v1/load-balancers/listeners/{listenerUuid}/access-control-lists
Request Example
curl -X DELETE 'http://{host}/zstack/v1/load-balancers/listeners/{listenerUuid}/access-control-lists' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"aclUuids":["<aclUuids>"],"serverGroupUuids":["<serverGroupUuids>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
